uniform float t;

void main()
{
	float y = 2.0 * gl_TexCoord[0].t * 3.14159;

	float offs = cos(t) * sin(y);
	offs += sin(t * 1.5) / 1.5 * cos(y * 2.0) / 2.0;
	offs += cos(t * 3.0) / 3.0 * sin(y * 4.0) / 4.0;

	vec4 color = gl_Color;
	color.a *= 1.0 - smoothstep(0.9, 1.0, gl_TexCoord[0].s - offs * 0.1 + 0.3);
	gl_FragColor = color;
}
